/mail/account/settings
PUT
/mail/account/settings
const url = 'https://example.com/api/v1/mail/account/settings';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"signature":"example","signatureHtml":true,"signatureAuto":true,"signatureOnReplies":true,"replyQuote":true,"composePlain":true,"messagesPerPage":1,"threaded":true,"readingPane":"right","listWidth":1,"listHeight":1,"pinnedAtTop":true,"density":"comfortable","theme":"system","locale":"example","undoSendSeconds":1,"categories":{"enabled":false,"promotions":true,"social":true,"updates":true,"forums":true,"senders":[]},"avatarColour":"grey","labels":[{"keyword":"example","name":"example","colour":"grey"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/mail/account/settings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "signature": "example", "signatureHtml": true, "signatureAuto": true, "signatureOnReplies": true, "replyQuote": true, "composePlain": true, "messagesPerPage": 1, "threaded": true, "readingPane": "right", "listWidth": 1, "listHeight": 1, "pinnedAtTop": true, "density": "comfortable", "theme": "system", "locale": "example", "undoSendSeconds": 1, "categories": { "enabled": false, "promotions": true, "social": true, "updates": true, "forums": true, "senders": [] }, "avatarColour": "grey", "labels": [ { "keyword": "example", "name": "example", "colour": "grey" } ] }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
signature
string
signatureHtml
boolean
signatureAuto
boolean
signatureOnReplies
boolean
replyQuote
boolean
composePlain
boolean
messagesPerPage
integer
threaded
boolean
readingPane
string
listWidth
integer
listHeight
integer
pinnedAtTop
boolean
density
string
theme
string
locale
string
undoSendSeconds
integer
categories
object
enabled
boolean
promotions
boolean
social
boolean
updates
boolean
forums
boolean
senders
Array<object>
object
address
required
string
tab
required
string
avatarColour
string
labels
Array<object>
object
keyword
required
string
name
required
string
colour
required
string
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
signature
required
string
signatureHtml
required
boolean
signatureAuto
required
boolean
signatureOnReplies
required
boolean
replyQuote
required
boolean
composePlain
required
boolean
messagesPerPage
required
integer
threaded
required
boolean
readingPane
required
string
listWidth
required
integer
listHeight
required
integer
pinnedAtTop
required
boolean
density
required
string
theme
required
string
locale
required
string
undoSendSeconds
required
integer
categories
required
object
enabled
required
boolean
promotions
required
boolean
social
required
boolean
updates
required
boolean
forums
required
boolean
senders
required
Array<object>
object
address
required
string format: email
tab
required
string
avatarColour
required
string
labels
required
Array<object>
object
keyword
required
string
name
required
string
colour
required
string
Example
{ "signature": "", "signatureHtml": false, "signatureAuto": true, "signatureOnReplies": true, "replyQuote": true, "composePlain": false, "messagesPerPage": 50, "threaded": true, "readingPane": "right", "listWidth": 380, "listHeight": 320, "pinnedAtTop": true, "density": "comfortable", "theme": "system", "locale": "auto", "undoSendSeconds": 5, "categories": { "enabled": false, "promotions": true, "social": true, "updates": true, "forums": true, "senders": [] }, "avatarColour": "grey", "labels": []}